Wordpress theme update - Update package not available

I am using the Avada theme and every time I attempt to update through WordPress’s own update panel I receive the message “Update package not available.”

Just one of the theme configuration settings is not matching the recommended - PHP Time Limit. Personally, I don’t think the error message above would be caused by this.Does anyone have any expertise or knowledge to say otherwise? I need to know if it is a fault with the theme before I go paying for a server upgrade!